### Hierarchy

- Disposable
  - UIRouterPlugin
  - LocationServices
  - LocationConfig

### Implemented by

- BaseLocationServices
- HashLocationService
- MemoryLocationService
- PushStateLocationService
- StateQueueManager
- TransitionService
- UIRouterGlobals
- UIRouterPluginBase
- UrlMatcherFactory
- UrlRouter

## Index

### Methods

- dispose

## Methods

- dispose(router?: UIRouter): any

- Instructs the Disposable to clean up any resources

- Instructs the Disposable to clean up any resources

  #### Parameters

  - ##### router: Optional UIRouter

  #### Returns any

  - Defined in interface.ts:123

Generated using TypeDoc